Contents

API reference / Reddit

Target or ignore a subreddit

PATCH /api/v1/projects/{project}/reddit/subreddits/{subreddit}

update_reddit_subreddit Write MCP tool

Mark a subreddit as one you are working (targeted) or not interested in (ignored).

A full-access key (ss_sk_…), or an editor or owner signed in.

Parameters

NameTypeDescription
project required
path
string The project's id.
subreddit required
path
string The subreddit's id.

Request body

JSON, sent with Content-Type: application/json.

NameTypeDescription
status required string
One of: candidate targeted ignored

Example

curl -X PATCH "https://sniffington.com/api/v1/projects/{project}/reddit/subreddits/{subreddit}" \
  -H "Authorization: Bearer $SCOUT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"status":"candidate"}'